aboutsummaryrefslogtreecommitdiff
path: root/scripts/eigen_gen_docs
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/eigen_gen_docs')
-rw-r--r--scripts/eigen_gen_docs22
1 files changed, 22 insertions, 0 deletions
diff --git a/scripts/eigen_gen_docs b/scripts/eigen_gen_docs
new file mode 100644
index 000000000..921d600ed
--- /dev/null
+++ b/scripts/eigen_gen_docs
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# configuration
+# You should call this script with USER set as you want, else some default
+# will be used
+USER=${USER:-'orzel'}
+
+#ulimit -v 1024000
+
+# step 1 : build
+mkdir build -p
+(cd build && cmake .. && make doc) || { echo "make failed"; exit 1; }
+
+#step 2 : upload
+# (the '/' at the end of path is very important, see rsync documentation)
+rsync -az --no-p --delete build/doc/html/ $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/dox-devel/ || { echo "upload failed"; exit 1; }
+
+#step 3 : fix the perm
+ssh $USER@ssh.tuxfamily.org 'chmod -R g+w /home/eigen/eigen.tuxfamily.org-web/htdocs/dox-devel' || { echo "perm failed"; exit 1; }
+
+echo "Uploaded successfully"
+